SQ(1)

NAME
sq key delete - Delete a certificate's secret key material

SYNOPSIS
sq key delete [OPTIONS]

DESCRIPTION
Delete a certificate's secret key material.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--cert=FILE
    Delete the secret key material from the specified certificate

--cert-file=CERT_FILE
    Delete the secret key material from the specified certificate.

    Read the certificate from FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

-o, --output=FILE
    Write the stripped certificate to the specified file

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import Alice's key.

    sq key import alice-secret.pgp

Delete any secret key associated with the certificate.

    sq key delete --cert EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)